package com.lightinit.hsdataplatformresdir.model.admin;

import com.lightinit.hsdataplatformresdir.entity.BaseExample;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class AuthorizationSearchModel extends BaseExample{

    //资源名称
    private String resourceName ;

    //状态
    private String authState ;

    //资源类型
    private String resourceType ;

    //共享开放类型
    private String openOrShare ;

    //申请时间
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date applyTime ;

    //申请渠道
    private String platfromType ;

    private Long orgId ;

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public String getAuthState() {
        return authState;
    }

    public void setAuthState(String authState) {
        this.authState = authState;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    public String getOpenOrShare() {
        return openOrShare;
    }

    public void setOpenOrShare(String openOrShare) {
        this.openOrShare = openOrShare;
    }

    public Date getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }

    public String getPlatfromType() {
        return platfromType;
    }

    public void setPlatfromType(String platfromType) {
        this.platfromType = platfromType;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }
}
